`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    15:41:45 04/15/2019 
// Design Name: 
// Module Name:    BrieySOC 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
/* Top module: Briey SOC */

module BrieySOC(
      input   io_asyncReset,
      input   Clk100Mhz1,
      input   Clk100Mhz2,
      input   io_jtag_tms,
      input   io_jtag_tdi,
      output  io_jtag_tdo,
      input   io_jtag_tck,
      output [12:0] io_sdram_ADDR,
      output [1:0] io_sdram_BA,
      input  [15:0] io_sdram_DQ_read,
      output [15:0] io_sdram_DQ_write,
      output  io_sdram_DQ_writeEnable,
      output [1:0] io_sdram_DQM,
      output  io_sdram_CASn,
      output  io_sdram_CKE,
      output  io_sdram_CSn,
      output  io_sdram_RASn,
      output  io_sdram_WEn,
      input  [3:0] io_gpioA_read,
      output [3:0] io_gpioA_write,
      output [3:0] io_gpioA_writeEnable,
      output  io_uart_txd,
      input   io_uart_rxd,
      output  io_vga_vSync,
      output  io_vga_hSync,
      output  io_vga_colorEn,
      output [4:0] io_vga_color_r,
      output [5:0] io_vga_color_g,
      output [4:0] io_vga_color_b,
      input   io_timerExternal_clear,
      input   io_timerExternal_tick,
      input   io_coreInterrupt
    );
//----------------------------------------------------

//-- Connecting wires
wire clkAXIOut;
wire LOCKED1;
wire clkVGAOut;
wire LOCKED2;

  PLLClkAXI CLKAXI
   (// Clock in ports
    .CLK_IN1(Clk100Mhz1),      // IN
    // Clock out ports
    .CLK_OUT1(clkAXIOut),     // OUT
    // Status and control signals
    .RESET(io_asyncReset),// IN
    .LOCKED(LOCKED1));      // OUT	 
	 
  PLLClkVGA CLKVGA
   (// Clock in ports
    .CLK_IN1(Clk100Mhz2),      // IN
    // Clock out ports
    .CLK_OUT1(clkVGAOut),     // OUT
    // Status and control signals
    .RESET(io_asyncReset),// IN
    .LOCKED(LOCKED2));      // OUT
	 
//---- CPU instance ---------	 
   Briey SoC(
	   .io_asyncReset(io_asyncReset),
	   .io_axiClk(clkAXIOut),
	   .io_vgaClk(clkVGAOut),
      .io_jtag_tms(io_jtag_tms),
      .io_jtag_tdi(io_jtag_tdi),
      .io_jtag_tdo(io_jtag_tdo),
      .io_jtag_tck(io_jtag_tck),
      .io_sdram_ADDR(io_sdram_ADDR),
      .io_sdram_BA(io_sdram_BA),
      .io_sdram_DQ_read(io_sdram_DQ_read),
      .io_sdram_DQ_write(io_sdram_DQ_write),
      .io_sdram_DQ_writeEnable(io_sdram_DQ_writeEnable),
      .io_sdram_DQM(io_sdram_DQM),
      .io_sdram_CASn(io_sdram_CASn),
      .io_sdram_CKE(io_sdram_CKE),
      .io_sdram_CSn(io_sdram_CSn),
      .io_sdram_RASn(io_sdram_RASn),
      .io_sdram_WEn(io_sdram_WEn),
      .io_gpioA_read(io_gpioA_read),
      .io_gpioA_write(io_gpioA_write),
      .io_gpioA_writeEnable(io_gpioA_writeEnable),
      .io_uart_txd(io_uart_txd),
      .io_uart_rxd(io_uart_rxd),
      .io_vga_vSync(io_vga_vSync),
      .io_vga_hSync(io_vga_hSync),
      .io_vga_colorEn(io_vga_colorEn),
      .io_vga_color_r(io_vga_color_r),
      .io_vga_color_g(io_vga_color_g),
      .io_vga_color_b(io_vga_color_b),
      .io_timerExternal_clear(io_timerExternal_clear),
      .io_timerExternal_tick(io_timerExternal_tick),
      .io_coreInterrupt(io_coreInterrupt)	  
   );	 


endmodule
